summaryrefslogtreecommitdiffstats
path: root/network/roundcubemail/roundcubemail.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/roundcubemail/roundcubemail.SlackBuild')
-rw-r--r--network/roundcubemail/roundcubemail.SlackBuild112
1 files changed, 112 insertions, 0 deletions
diff --git a/network/roundcubemail/roundcubemail.SlackBuild b/network/roundcubemail/roundcubemail.SlackBuild
new file mode 100644
index 0000000000..81857a2de5
--- /dev/null
+++ b/network/roundcubemail/roundcubemail.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/bash
+
+# Slackware build script for roundcube
+
+# Copyright 2022-2023 Johannes Schoepfer, Germany
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=roundcubemail
+VERSION=${VERSION:-1.4.15}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar vxf $CWD/$PRGNAM-$VERSION-complete.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} + -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} +
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -R \
+ index.php .htaccess SQL bin program installer config skins \
+ public_html plugins vendor temp logs \
+ $PKG/usr/share/$PRGNAM
+chown -R apache $PKG/usr/share/$PRGNAM/{temp,logs}
+# Remove cruft
+find $PKG -type f -name '.gitignore' -delete
+find $PKG -empty -delete
+# cronjob
+mkdir -p $PKG/etc/cron.daily
+cat << EOF > $PKG/etc/cron.daily/$PRGNAM.new
+#!/bin/bash
+/usr/share/$PRGNAM/bin/cleandb.sh 1>/dev/null
+EOF
+chmod 755 $PKG/etc/cron.daily/$PRGNAM.new
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README.md LICENSE UPGRADING CHANGELOG \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+# apache example config
+cat << EOF > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-apache.conf
+#<VirtualHost *:443>
+<VirtualHost *:80>
+
+ DocumentRoot /usr/share/$PRGNAM/public_html/
+ ServerName mail.example.org
+
+ <Directory /usr/share/$PRGNAM/>
+ Options None
+ AllowOverride All
+ Require all granted
+
+ #php_value upload_max_filesize 50M
+ #php_value post_max_size 52M
+ #php_value memory_limit 256M
+ #php_value date.timezone "Europe/Berlin"
+ </Directory>
+
+# SSLEngine on
+# SSLCertificateFile /var/lib/dehydrated/certs/mail.example.org/fullchain.pem
+# SSLCertificateKeyFile /var/lib/dehydrated/certs/mail.example.org/privkey.pem
+
+</VirtualHost>
+EOF
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE